For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GET Get Inventory
      • GET Get All Inventories
      • GET Get All Inventory Levels
      • GET Get Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Lot
      • GET Get Inventory Levels
      • GET Get Inventory Levels Grouped By Lot
      • GET Get Lot Exclusions
      • POST Create Lot Exclusion
      • POST Delete Lot Exclusion
      • POST Restore Lot Exclusion
LogoLogo
API ReferenceInventory

Restore Lot Exclusion

||View as Markdown|
POST
https://sandbox-api.shipbob.com/Experimental/lot-exclusion/restore
POST
/Experimental/lot-exclusion/restore
$curl -X POST https://sandbox-api.shipbob.com/Experimental/lot-exclusion/restore \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "lot_number": "string",
> "inventory_id": 123,
> "lot_date": "2019-08-24T14:15:22+00:00",
> "sku": "string"
>}'
1{
2 "inventory_id": 123,
3 "is_deleted": false,
4 "lot_date": "2019-08-24T14:15:22+00:00",
5 "lot_number": "string"
6}

Restores a previously deleted lot exclusion for a specific inventory item. Reverses a soft-delete operation.

Was this page helpful?
Previous

Delete Lot Exclusion

Next

Create Work Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

lot_numberstringRequired
The lot number of the exclusion to restore
inventory_idintegerOptional
Unique identifier of the inventory item, either this or sku must be provided
lot_datedatetimeOptional
The date associated with the lot
skustringOptional

SKU of the inventory item, either this or inventory_id must be provided

Response

Lot exclusion successfully restored
deleted_timestampdatetime
Timestamp when the lot exclusion was deleted, null after restore
inventory_idinteger
Unique identifier of the inventory item
is_deletedboolean
Whether the lot exclusion is still deleted, false after restore
lot_datedatetime
The date associated with the lot
lot_numberstring
The lot number of the restored exclusion

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error